%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           python-requestbuilder
Version:        0.5.2
Release:        2%{?dist}
Summary:        Command line-driven HTTP request builder

License:        ISC
URL:            https://github.com/boto/requestbuilder
Source0:        https://pypi.python.org/packages/source/r/requestbuilder/requestbuilder-%{version}.tar.gz

BuildArch:      noarch

# Needed to parse __init__.py
BuildRequires:  python-argparse
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       python-argparse
Requires:       python-requests >= 2.4
Requires:       python-six >= 1.5

Provides:       python2-requestbuilder = %{version}-%{release}


%description
Requestbuilder is a framework for creating command line tools that send
HTTP requests simply and quickly.


%prep
%setup -q -n requestbuilder-%{version}


%build
%{__python2} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%files
%{!?_licensedir: %global license %%doc}

%license COPYING
%doc README
%{python2_sitelib}/requestbuilder*


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Apr 29 2016 Garrett Holmstrom <gholms@fedoraproject.org> - 0.5.2-1
- Updated to 0.5.2

* Wed Mar 23 2016 Garrett Holmstrom <gholms@fedoraproject.org> - 0.5.1-1
- Updated to 0.5.1

* Mon Mar 21 2016 Garrett Holmstrom <gholms@fedoraproject.org> - 0.5.0-1
- Updated to 0.5.0

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Sep 21 2015 Garrett Holmstrom <gholms@fedoraproject.org> - 0.4.0-1
- Updated to 0.4.0

* Tue Jul 28 2015 Garrett Holmstrom <gholms@fedoraproject.org> - 0.3.5-1
- Updated to 0.3.5

* Mon Jun 15 2015 Garrett Holmstrom <gholms@fedoraproject.org> - 0.3.0-0.4.20150615git6ec6e38
- Fixed multipart/form-data debug output

* Wed Jun 10 2015 Garrett Holmstrom <gholms@fedoraproject.org> - 0.3.0-0.3.20150601git9629fa7
- Fixed auth provider precedence issues

* Tue May 26 2015 Garrett Holmstrom <gholms@fedoraproject.org> - 0.3.0-0.2.pre2
- Updated to 0.3.0-pre2

* Fri Apr 24 2015 Garrett Holmstrom <gholms@fedoraproject.org> - 0.3.0-0.1.pre1
- Updated to 0.3.0-pre1

* Fri Mar 27 2015 Garrett Holmstrom <gholms@fedoraproject.org> - 0.2.3-1
- Required python-six >= 1.5 due to proxy_bypass use
- Built for Fedora

* Thu Jul 31 2014 Garrett Holmstrom <gholms@fedoraproject.org> - 0.2.3-0.1
- Updated to 0.2.3

* Wed Jul 30 2014 Garrett Holmstrom <gholms@fedoraproject.org> - 0.2.2-0.1
- Updated to 0.2.2

* Wed May 28 2014 Garrett Holmstrom <gholms@fedoraproject.org> - 0.2.1-0.1
- Updated to 0.2.1

* Fri May 23 2014 Garrett Holmstrom <gholms@fedoraproject.org> - 0.2.0-0.7
- Updated to 0.2.0

* Wed Apr 23 2014 Garrett Holmstrom <gholms@fedoraproject.org> - 0.2.0-0.6.pre3
- Show a stack trace when sent SIGUSR1 while --debugger is on
- Fix a typo that breaks BaseCommand.from_other
- Fix auth source precedence
- Toast a 2.7-ism that breaks S3 presigned URL generation on python 2.6

* Thu Apr 17 2014 Garrett Holmstrom <gholms@fedoraproject.org> - 0.2.0-0.5.pre3
- Updated to 0.2.0-pre3

* Thu Apr  3 2014 Garrett Holmstrom <gholms@fedoraproject.org> - 0.2.0-0.4.pre2
- Updated to 0.2.0-pre2

* Wed Mar 19 2014 Garrett Holmstrom <gholms@fedoraproject.org> - 0.2.0-0.3.pre1
- Fixed service URL copypaste issues

* Wed Mar 19 2014 Garrett Holmstrom <gholms@fedoraproject.org> - 0.2.0-0.2.pre1
- Fixed config log handlers

* Wed Mar 19 2014 Garrett Holmstrom <gholms@fedoraproject.org> - 0.2.0-0.1.pre1
- Updated to 0.2.0-pre1

* Fri Aug 23 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 0.1.0-0.13
- Updated to 0.1.0 final

* Thu May 30 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 0.1.0-0.12.beta2
- Updated to 0.1.0 beta 2

* Thu May 16 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 0.1.0-0.11.beta1
- Updated to 0.1.0 beta 1

* Tue May  7 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 0.1.0-0.10.alpha10
- Updated to 0.1.0 alpha 10

* Wed May  1 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 0.1.0-0.9.alpha9.20130501git0a010ad
- Added even more bugfixes from upstream

* Wed May  1 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 0.1.0-0.8.alpha9.20130501git7d5f0a3
- Added several bugfixes from upstream

* Fri Apr 26 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 0.1.0-0.7.alpha9
- Updated to 0.1.0 alpha 9

* Wed Apr 17 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 0.1.0-0.6.alpha8.20130417gite3aa561
- Added several bugfixes

* Tue Apr 16 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 0.1.0-0.5.alpha8
- Updated to 0.1.0 alpha 8

* Fri Apr 12 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 0.1.0-0.4.alpha7
- Updated to 0.1.0 alpha 7

* Fri Apr 12 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 0.1.0-0.3.alpha6
- Updated to 0.1.0 alpha 6

* Mon Apr  1 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 0.1.0-0.2.alpha5
- Updated to 0.1.0 alpha 5

* Tue Mar 19 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 0.1.0-0.1.alpha4
- Created
